summaryrefslogtreecommitdiff
path: root/test-suite/misc/coqc_dash_o.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/misc/coqc_dash_o.sh')
-rwxr-xr-xtest-suite/misc/coqc_dash_o.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test-suite/misc/coqc_dash_o.sh b/test-suite/misc/coqc_dash_o.sh
new file mode 100755
index 00000000..0ae7873f
--- /dev/null
+++ b/test-suite/misc/coqc_dash_o.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+DOUT=misc/tmp_coqc_dash_o/
+OUT=${DOUT}coqc_dash_o.vo
+
+
+mkdir -p "${DOUT}"
+rm -f "${OUT}"
+$coqc misc/coqc_dash_o.v -o "${OUT}"
+if [ ! -f "${OUT}" ]; then
+ printf "coqc -o not working"
+ exit 1
+fi
+rm -fr "${DOUT}"
+exit 0